explain_utimens_or_die(3)

NAME
explain_utimens_or_die - change file timestamps and report errors

SYNOPSIS
#include <libexplain/utimens.h>

void explain_utimens_or_die(const char *pathname, const struct timespec *data);
int explain_utimens_on_error(const char *pathname, const struct timespec *data);

DESCRIPTION
The explain_utimens_or_die function is used to call the utimens(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_utimens(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_utimens_on_error function is used to call the utimens(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_utimens(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the utimens(2) system call.

data
    The data, exactly as to be passed to the utimens(2) system call.

RETURN VALUE
The explain_utimens_or_die function only returns on success, see utimens(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_utimens_on_error function always returns the value return by the wrapped utimens(2) system call.

EXAMPLE
The explain_utimens_or_die function is intended to be used in a fashion similar to the following example:
    explain_utimens_or_die(pathname, data);

SEE ALSO

utimens(2)
    change file last access and modification times

explain_utimens(3)
    explain utimens(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2012 Peter Miller